.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.card-container a {
    text-decoration: none;
}

.cartas-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.card {
    transition-duration: 0.3s;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    backdrop-filter: blur(20px);
    padding: 0.5em;
    border-radius: 10px;
    margin: 0 20px 20px;
}

.card:hover {
    transform: scale(0.95);
    transition-duration: 0.3s;
}

.card-image {
    border: 2px solid rgba(255, 255, 255, 0.222);
    width: 100%;
    height: 80%;
    border-radius: 6px;
}

.heading {
    font-size: 20px;
    font-weight: 600;
    padding: 10px 0;
    text-align: center;
    color: #fff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.card-tooltip {
    position: absolute;
    top: 0;
    font-size: 16px;
    font-weight: 500;
    background-color: #127652;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.card-tooltip::before {
    position: absolute;
    content: "";
    height: 8px;
    background-color: #127652;
    width: 8px;
    bottom: -3px;
    left: 85%;
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.card-tooltip:hover {
    top: -50px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.portada {
    position: relative;
    border-radius: 10px;
    height: 350px;
    margin: 0 20px 20px;
    max-height: 350px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    background-color: #e4dccf;
    -webkit-transform: preserve-3d;
    transform: preserve-3d;
    -webkit-perspective: 2000px;
    perspective: 2000px;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.cover-imagen {
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

.portada .cover {
    top: 0;
    position: absolute;
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    backdrop-filter: blur(30px);
    width: 100%;
    height: 100%;
    border-radius: 10px;
    cursor: pointer;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
    -webkit-transform-origin: 0;
    -ms-transform-origin: 0;
    transform-origin: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    text-align: center;
}

.portada:hover .cover {
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
    -webkit-transform: rotatey(-80deg);
    -ms-transform: rotatey(-80deg);
    transform: rotatey(-80deg);
}

@media (min-width: 1921px) {
    .cartas-container {
        padding-top: 20px;
    }
    .card {
        max-width: 280px;
    }
    .portada {
        width: 290px;
        height: 350px;
    }
    .heading {
        font-size: 20px;
    }
}

@media (max-width: 1920px) {
    .cartas-container {
        padding-top: 20vh;
    }
    .card {
        max-width: 280px;
    }
    .portada {
        width: 280px;
        height: 350px;
    }
    .heading {
        font-size: 20px;
    }
}

@media (max-width: 1366px) {
    .card {
        width: 230px;
    }
    .portada {
        width: 230px;
        height: 280px;
    }
    .heading {
        font-size: 18px;
    }
}

@media (max-width: 1200px) {
    .card {
        width: 196px;
    }
    .portada {
        width: 195px;
        height: 250px;
    }
    .heading {
        font-size: 16px;
    }
}

@media (max-width: 1024px) {
    .card {
        width: 178px;
    }
    .portada {
        width: 178px;
        height: 220px;
    }
    .heading {
        font-size: 15px;
    }
}

@media (max-width: 768px) {
    .card {
        width: 219px;
        margin: 0 15px 15px 15px;
    }
    .portada {
        width: 227px;
        height: 270px;
    }
    .heading {
        font-size: 18px;
    }
}

@media (max-width: 600px) {
    .card {
        width: 180px;
        margin: 0 5px 15px 5px;
    }
    .portada {
        width: 180px;
        height: 225px;
    }

    .heading {
        font-size: 16px;
    }
}

@media (max-width: 375px) {
    .card {
        width: 165px;
        margin: 0 5px 15px 5px;
    }
    .portada {
        width: 134px;
        height: 180px;
    }

    .heading {
        font-size: 12px;
    }
}
